Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Emerge problem with a dependency on an older package
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
ass0ciate
n00b
n00b


Joined: 31 Aug 2003
Posts: 63

PostPosted: Mon Sep 15, 2003 4:02 am    Post subject: Emerge problem with a dependency on an older package Reply with quote

Hello,

One of the dependencies of winex is glibc, according to the winex site it's glibc 2.1.3 or higher. I currently have glibc 2.3.2 installed on my system and when I go to emerge winex i get the following message:

Code:

!!! Error: the >=sys-libs/glibc-2.3.2 package conflicts with this package and both can't be installed on the same system together.


So I guess my question is: what is the best way to get around this problem? Thanks in advance.
Back to top
View user's profile Send private message
Genone
Retired Dev
Retired Dev


Joined: 14 Mar 2003
Posts: 9211
Location: beyond the rim

PostPosted: Mon Sep 15, 2003 5:44 pm    Post subject: Reply with quote

AFAIK this block has been resolved for some time. Also which winex ebuild are you talking about ? winex and winex-cvs have been removed from the tree, so I guess you're either talking about winex-transgaming (which doesn't have a blocker) or an old ebuild that still has the block.
Back to top
View user's profile Send private message
ass0ciate
n00b
n00b


Joined: 31 Aug 2003
Posts: 63

PostPosted: Mon Sep 15, 2003 6:08 pm    Post subject: Reply with quote

Thanks for the reply. The command I'm using is:

Code:

emerge winex


and the output I'm getting is:

Code:

Calculating dependencies ...done!
[ebuild  N   ] dev-lang/tcl-8.3.4
[ebuild  N   ] dev-lang/tk-8.3.4-r1
[blocks B    ] >=sys-libs/glibc-2.3.2 (from pkg app-emulation/winex-20030328)
[ebuild  N   ] app-emulation/winex-20030328


so I guess the version I'm using is 20030328. Also, I was under the impression that I was getting the winex-transgaming ebuild. Again, is that even a good idea? I mean to be installing the winex-transgaming to run a windows php IDE or is there a simpler solution? Thanks again.
Back to top
View user's profile Send private message
Genone
Retired Dev
Retired Dev


Joined: 14 Mar 2003
Posts: 9211
Location: beyond the rim

PostPosted: Mon Sep 15, 2003 6:21 pm    Post subject: Reply with quote

That winex ebuild doesn't exist anymore in the official tree for several months as requested by transgaming (there is only a fake ebuild left: winex-3000). The official winex package is winex-transgaming, you need a (purchased) winex subscription for that.
No idea about this php IDE problem, but I don't think winex is much better than wine for that.
Back to top
View user's profile Send private message
ass0ciate
n00b
n00b


Joined: 31 Aug 2003
Posts: 63

PostPosted: Mon Sep 15, 2003 6:31 pm    Post subject: Reply with quote

Thanks for clearing that up. I guess I'll try searching some more for the php IDEs before using wine/winex.
Back to top
View user's profile Send private message
crown
n00b
n00b


Joined: 15 Jun 2002
Posts: 64

PostPosted: Mon Sep 15, 2003 7:24 pm    Post subject: Reply with quote

Take a look at PHPEclipse. It's a plugin for the Eclipse IDE framework and it has quite a few features. It's fully open source and under active development. I'm not sure if it supports debugging yet or not but it surely will in the near future. Check out the following sites:

http://www.eclipse.org/
http://phpeclipse.sourceforge.net/

Eclipse is available in portage via the eclipse-platform-bin package. Once you have that, installing the plugin is quite simple.
Back to top
View user's profile Send private message
ass0ciate
n00b
n00b


Joined: 31 Aug 2003
Posts: 63

PostPosted: Mon Sep 15, 2003 7:36 pm    Post subject: Reply with quote

Thanks. I actually just got that going, along with the TruStudio feature. It does look really good and it does, supposedly, support debugging unfortunately I have been unable to get that to work. I'm having issues with Eclipse not being able to locate phpdbg, or, if I take the other approach, I am unable to run the debugger because I've installed PHP as an Apache module and it seems to require it as CGI. Again, thanks for the tip, I'll look into it further.
Back to top
View user's profile Send private message
ass0ciate
n00b
n00b


Joined: 31 Aug 2003
Posts: 63

PostPosted: Mon Sep 15, 2003 7:37 pm    Post subject: Reply with quote

Thanks. I actually just got that going, along with the TruStudio feature. It does look really good and it does, supposedly, support debugging unfortunately I have been unable to get that to work. I'm having issues with Eclipse not being able to locate phpdbg, or, if I take the other approach, I am unable to run the debugger because I've installed PHP as an Apache module and it seems to require it as CGI. Again, thanks for the tip, I'll look into it further.
Back to top
View user's profile Send private message
ass0ciate
n00b
n00b


Joined: 31 Aug 2003
Posts: 63

PostPosted: Mon Sep 15, 2003 7:37 pm    Post subject: Reply with quote

Thanks. I actually just got that going, along with the TruStudio feature. It does look really good and it does, supposedly, support debugging unfortunately I have been unable to get that to work. I'm having issues with Eclipse not being able to locate phpdbg, or, if I take the other approach, I am unable to run the debugger because I've installed PHP as an Apache module and it seems to require it as CGI. Again, thanks for the tip, I'll look into it further.
Back to top
View user's profile Send private message
ass0ciate
n00b
n00b


Joined: 31 Aug 2003
Posts: 63

PostPosted: Mon Sep 15, 2003 7:38 pm    Post subject: Reply with quote

I apologize for the multiple submissions, having some trouble here.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum